
QGIS Application - Bug report #19488

Opening an Existing qgis file

2018-07-25 06:28 PM - Kabo Makuke

Status: Rejected

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27316

Description

An error has occurred while executing Python code:

AttributeError: 'QUrl' object has no attribute 'setEncodedUrl' 

Traceback (most recent call last):

  File "C:/Users/Ultimatum Finesse/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py",

line 690, in update_local_layers

    self.update_local_data_sources(local_layers,  local_raster_layers)

  File "C:/Users/Ultimatum Finesse/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\qgiscloudplugindialog.py",

line 754, in update_local_data_sources

    table_name_item = QTableWidgetItem(self.launder_pg_name(table_name))

TypeError: arguments did not match any overloaded call:

  QTableWidgetItem(type: int = QTableWidgetItem.Type): argument 1 has unexpected type 'bytes'

  QTableWidgetItem(str, type: int = QTableWidgetItem.Type): argument 1 has unexpected type 'bytes'

  QTableWidgetItem(QIcon, str, type: int = QTableWidgetItem.Type): argument 1 has unexpected type 'bytes'

  QTableWidgetItem(QTableWidgetItem): argument 1 has unexpected type 'bytes'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "C:/Users/Ultimatum Finesse/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgiscloud\error_report_dialog.py", line

78, in __reportError

    url.setEncodedUrl("mailto:support@qgiscloud.com?subject=%s&body=%s" % (

AttributeError: 'QUrl' object has no attribute 'setEncodedUrl'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 3.2.1-Bonn Bonn, 1edf372fb8

Python Path:

C:/Users/Ultimatum Finesse/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\contour

C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python

C:/Users/Ultimatum Finesse/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/Ultimatum Finesse/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.2\bin\python36.zip

C:\PROGRA~1\QGIS3~1.2\apps\Python36\DLLs

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib

C:\Program Files\QGIS 3.2\bin

C:\PROGRA~1\QGIS3~1.2\apps\Python36

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\Pythonwin

C:/Users/Ultimatum Finesse/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:\Users\Ultimatum Finesse\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\mmqgis/forms

C:\Users\Ultimatum Finesse\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins

D:/Documents/Kanye Development Plan/QGIS MAPS

History

#1 - 2018-07-25 10:12 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Rejected

This is a bug in the 3rd party qgis cloud plugin, so needs to be reported to the plugin author
